<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_c330b85d625b10fb44" . "6f351cc78b4d05" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNoYXJhY3Rlc" . "nM="), "_e20b559a1b414495c43" . "a4fbbf2e5015e" => base64_decode("aHR0cF" . "9zZW5k" . "X2ZpbG" . "U="), "_f705bcbe9557715c78f11" . "a9a576dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL3BsYW" . "NlaG9sZGVyLnBuZw=="), "_4d707fab" . "93bebb00b" . "be69e8159" . "697c90" => base64_decode(""), "_2e062cfc101" . "83d31f0f0848" . "e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZX" . "h0ZW5zaW9u"), "_3d0fad80d1698b9bcb" . "5742bda96db9f8" => base64_decode("Tm8gcmlnaHR" . "z"), "_4be135064c4d55c13e" . "6af60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJt" . "aXNzaW9ucw=="), "_2713fc125a2798f62a71e9066f39" . "6da7" => base64_decode("Li4vY29tbW9uL2ZpbG" . "VzeXN0ZW0ucGhw"), "pref" . "ix" => base64_decode("cHJlZm" . "l4"), "_605dec66bbd43fd" . "43b6b2abff58a62e" . "f" => base64_decode("bm" . "F0" . "aX" . "Zl"), "_11ff9bccdcd23cd6bf9d92" . "884ea6cc39" => base64_decode("Li4vY29tbW9uL2Nvbm5" . "lY3QucGhw"), "_23e3a19ac3ae2de10c19a9b00175" . "56f0" => base64_decode("SW1hZ2UgZmlsZSB" . "kb2Vzbid0IGV4aX" . "N0"), "_a62d761f3e831ff9d9da39f9c26" . "ecddc" => base64_decode("Li4vY29t" . "bW9uL2Nv" . "cmUucGhw"), "i" . "d" => base64_decode("aWQ" . "="), "_af66268e41c5634df3c88007939cbf3" . "3" => base64_decode("ZG93bmxv" . "YWQ="), "_20a7dc9160360d28b227a7" . "35cd62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc2V" . "zc2lvbnN0YXJ0LnBocA=="), "act" . "ion" => base64_decode("YWN0aW9" . "u"), "_f920f0bf40dcf69c4daab1" . "426e0564d6" => base64_decode("V3Jvbmcg" . "cGFyYW1l" . "dGVycw=="), "_5717b327f1f9b8b82a" . "4c07e8006c2719" => base64_decode("cG" . "5n"), "_3ce655ae" . "4a1442196" . "7cc023a6e" . "907ed5" => base64_decode("aXNfZ" . "mlsZQ" . "=="), "_3be5fb5531" . "8614a35b111" . "19662d2e169" => base64_decode("cGxhY2Vob2xkZ" . "XI="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_20a7dc9160360d28b2" . "27a735cd62a71d"];
require_once $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a62d761f3e831" . "ff9d9da39f9c26" . "ecddc"];
require_once $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_11ff9bccdcd23c" . "d6bf9d92884ea6c" . "c39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2713fc125a2798f62a71e9066" . "f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["prefi" . "x"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["act" . "ion"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_f920f0bf40dc" . "f69c4daab1426" . "e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_605dec66b" . "bd43fd43b6" . "b2abff58a6" . "2ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_f705bcbe9557715c78f11" . "a9a576dfda3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_3be5fb55318614a35b11119662" . "d2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5717b327f1f9b8b82a4c" . "07e8006c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_605dec6" . "6bbd43fd" . "43b6b2ab" . "ff58a62e" . "f"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4be135064c4d55c13e6af60" . "c45cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_3d0fad80d1698b9bcb5742bda" . "96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_3ce655ae4a14421967cc023a6e907ed" . "5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_23e3a19ac3" . "ae2de10c19a" . "9b0017556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2e062cfc10183d31f0f084" . "8e59bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93be" . "bb00bbe69e815" . "9697c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c330b85d625b" . "10fb446f351cc" . "78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e20b559a1b41449" . "5c43a4fbbf2e5015" . "e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_af66268e41c5634df3c88007939cbf3" . "3"] ? DOWNLOAD : INLINE);